# std::_Expr< _Clos, _Tp > Class Template Reference

List of all members.

## Detailed Description

### template<class _Clos, typename _Tp>
class std::_Expr< _Clos, _Tp >

Definition at line 165 of file valarray_after.h.

## Public Types

- typedef _Tp value_type

## Public Member Functions

- _Expr (const _Clos &)
- valarray< value_type > apply (value_type(*)(value_type)) const
- valarray< value_type > apply (value_type(*)(const value_type &)) const
- valarray< value_type > cshift (int) const
- value_type max () const
- value_type min () const
- _Expr< _UnClos< __logical_not,
  std::_Expr, _Clos >, bool > operator! () const
- const _Clos & operator() () const
- _Expr< _UnClos< __unary_plus,
  std::_Expr, _Clos >, value_type > operator+ () const
- _Expr< _UnClos< __negate,
  std::_Expr, _Clos >, value_type > operator- () const
- valarray< value_type > operator[] (const valarray< size_t > &) const
- valarray< value_type > operator[] (const valarray< bool > &) const
- valarray< value_type > operator[] (const gslice &) const
- valarray< value_type > operator[] (slice) const
- value_type operator[] (size_t) const
- _Expr< _UnClos< __bitwise_not,
  std::_Expr, _Clos >, value_type > operator~ () const
- valarray< value_type > shift (int) const
- size_t size () const
- value_type sum () const

The documentation for this class was generated from the following file:

- valarray_after.h